from flask import flash

from database import app
from covid19.blueprints.application.application_service_config import ApplicationServiceConfig
from covid19.blueprints.who.who_model import WhoDateReported, WhoData

class WhoTestService:
    def __init__(self, database):
        app.logger.debug("------------------------------------------------------------")
        app.logger.debug(" WHO Test Service [init]")
        app.logger.debug("------------------------------------------------------------")
        self.__database = database
        self.cfg = ApplicationServiceConfig.create_config_for_who()
        app.logger.debug("------------------------------------------------------------")
        app.logger.info(" WHO Test Service [ready]")

    def delete_last_day(self):
        joungest_datum = WhoDateReported.get_joungest_datum()
        app.logger.info("joungest_datum:")
        app.logger.info(joungest_datum)
        app.logger.info("WhoData.get_data_for_one_day(joungest_datum):")
        i = 0
        for who_data in WhoData.get_data_for_one_day(joungest_datum):
            i += 1
            line = " | " + str(i) + " | " + str(who_data.date_reported) + " | " + who_data.country.country + " | to be deleted"
            app.logger.info(line)
        app.logger.info("WhoData.delete_data_for_one_day(joungest_datum)")
        WhoData.delete_data_for_one_day(joungest_datum)
